classification
Title: Wrong path in test.support.temp_cwd() error message
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: chris.jerdonek, ezio.melotti, python-dev
Priority: normal Keywords: easy, patch

Created on 2012-07-09 11:27 by chris.jerdonek, last changed 2012-09-21 16:38 by chris.jerdonek. This issue is now closed.

Files
File name Uploaded Description Edit
issue-15304-failing-test.patch chris.jerdonek, 2012-07-09 13:04 review
issue-15304-fix.patch chris.jerdonek, 2012-07-09 13:15 review
Messages (6)
msg165075 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-09 11:27
test.support.temp_cwd() has a typo (s/name/path/):

try:
    os.chdir(path)
except OSError:
    if not quiet:
        raise
    warnings.warn('tests may fail, unable to change the CWD to ' + name,
                  RuntimeWarning, stacklevel=3)
msg165080 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-09 13:04
Adding failing test.
msg165081 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-09 13:15
Attaching fix.
msg170888 - (view) Author: Roundup Robot (python-dev) Date: 2012-09-21 13:53
New changeset 0b60dcabf7e6 by Ezio Melotti in branch '3.2':
#15304: fix wrong warning message in test.support.temp_cwd().
http://hg.python.org/cpython/rev/0b60dcabf7e6

New changeset b1d6daface10 by Ezio Melotti in branch 'default':
#15304: merge with 3.2.
http://hg.python.org/cpython/rev/b1d6daface10
msg170889 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-21 13:54
Fixed, thanks for the patch!
msg170901 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-21 16:38
Thanks, Ezio!
History
Date User Action Args
2012-09-21 16:38:29chris.jerdoneksetmessages: + msg170901
2012-09-21 13:54:11ezio.melottisetstatus: open -> closed
versions: - Python 2.7
messages: + msg170889

resolution: fixed
stage: patch review -> resolved
2012-09-21 13:53:30python-devsetnosy: + python-dev
messages: + msg170888
2012-09-19 00:31:16ezio.melottisetassignee: ezio.melotti

type: behavior
nosy: + ezio.melotti
versions: + Python 2.7, Python 3.2
2012-07-09 13:15:32chris.jerdoneksetfiles: + issue-15304-fix.patch

messages: + msg165081
stage: needs patch -> patch review
2012-07-09 13:04:29chris.jerdoneksetfiles: + issue-15304-failing-test.patch
keywords: + patch
messages: + msg165080

stage: needs patch
2012-07-09 11:27:19chris.jerdonekcreate